---
# setup luks unlocking in early boot

- name: Add network config to initramfs
  tags: configure
  ansible.builtin.template:
    src: etc/initramfs-tools/conf.d/network.j2
    dest: /etc/initramfs-tools/conf.d/network
  notify: update initramfs

- name: Setup dropbear
  tags: configure
  ansible.builtin.copy:
    src: etc/initramfs-tools/conf.d/dropbear
    dest: /etc/initramfs-tools/conf.d/dropbear
    owner: root
    group: root
    mode: '0644'
  notify: update initramfs

- name: Update ssh keys for dropbear
  tags: configure
  ansible.builtin.template:
    src: authorized_keys.j2
    dest: /etc/dropbear-initramfs/authorized_keys
  notify: update initramfs

- name: Copy openssh keys to dropbear
  tags: configure
  ansible.builtin.command: dropbearconvert openssh dropbear /etc/ssh/ssh_host_ed25519_key /etc/dropbear-initramfs/dropbear_ed25519_host_key
  notify: update initramfs

- name: Remove unwanted host keys
  tags: configure
  ansible.builtin.file:
    path: "{{ item }}"
    state: absent
  loop:
    - /etc/ssh/ssh_host_rsa_key
    - /etc/ssh/ssh_host_rsa_key.pub
    - /etc/ssh/ssh_host_ecdsa_key
    - /etc/ssh/ssh_host_ecdsa_key.pub
    - /etc/dropbear-initramfs/dropbear_rsa_host_key
    - /etc/dropbear-initramfs/dropbear_ecdsa_host_key
  notify: update initramfs

